DLSequence (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1

## Class DLSequence

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Sequence
      - - org.bouncycastle.asn1.DLSequence

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DLSequence
      extends ASN1Sequence

  The DLSequence encodes a SEQUENCE using definite length form.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Sequence

      `seq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLSequence()` Create an empty sequence
    `DLSequence(ASN1Encodable obj)` Create a sequence containing one object
    `DLSequence(ASN1Encodable[] array)` Create a sequence containing an array of objects.
    `DLSequence(ASN1EncodableVector v)` Create a sequence containing a vector of objects.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Sequence

      `getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, toArray, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DLSequence

          public DLSequence()

      Create an empty sequence

    - #### DLSequence

          public DLSequence(ASN1Encodable obj)

      Create a sequence containing one object

    - #### DLSequence

          public DLSequence(ASN1EncodableVector v)

      Create a sequence containing a vector of objects.

    - #### DLSequence

          public DLSequence(ASN1Encodable[] array)

      Create a sequence containing an array of objects.